Download it now!
Bug 133886 - Libreoffice Calc Subtotals check all columns at once
Summary: Libreoffice Calc Subtotals check all columns at once
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.4.4.2 release
Hardware: All All
: medium enhancement
Assignee: Tomofumi Yagi
URL:
Whiteboard: target:7.1.0
Keywords: difficultyMedium, easyHack, skillCpp, topicUI
Depends on:
Blocks: Calc-UX Function-Subtotal
  Show dependency treegraph
 
Reported: 2020-06-11 08:53 UTC by Peter Turányi
Modified: 2020-11-05 12:10 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Calc Subtotals configuration window (552.38 KB, image/jpeg)
2020-06-26 13:41 UTC, Peter Turányi
Details
Calc new Subtotals configuration window (543.48 KB, image/jpeg)
2020-06-26 14:05 UTC, Peter Turányi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Turányi 2020-06-11 08:53:53 UTC
There is not possibility to check all column (with headers) at once in Calc Subtotals configuration window.
If you have file with many columns with daily revenue for example you have to check 30 or more columns per month. 
It would be nice to have button or checkbox to check all column (with headers) at once and uncheck couple columns.

Thank you.
Comment 1 Peter Turányi 2020-06-26 13:41:48 UTC
Created attachment 162425 [details]
Calc Subtotals configuration window

Making Subtotals on many columns in Calc
Comment 2 Peter Turányi 2020-06-26 14:05:46 UTC
Created attachment 162427 [details]
Calc new Subtotals configuration window

New Subtotal configuration window should look like this.
When you check Select all columns checkbox it will check all columns listed in the list of Calculate subtotals for.
Comment 3 Roman Kuznetsov 2020-09-17 19:49:36 UTC
Let's ask the UX-team.

In general +1 from me
Comment 4 Heiko Tietze 2020-09-18 07:27:57 UTC
We could add a checkbox "[ ] all columns" next to the list header (Calculate subtotals for:). Checking it enables all checkboxes in the list, unchecking would consequently uncheck all, and the indetermined state is needed for varying states.
Alternatively a context menu could provide the singular function "Check All".

Code pointer:
sc/uiconfig/scalc/ui/subtotalgrppage.ui 
sc/source/ui/dbgui/tpsubt.cxx
Comment 5 Commit Notification 2020-10-11 09:46:36 UTC
Tomofumi Yagi committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e0c1fdcab23dbd2b7a0a7227557d7afc41b49bd7

tdf#133886 - Libreoffice Calc Subtotals check all columns at once

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Buovjaga 2020-11-04 13:37:04 UTC
Tomofumi: if this is fixed, you can set the status to resolved fixed. Peter could also test and comment. https://dev-builds.libreoffice.org/daily/master/current.html